## org.eclipse.datatools.sqltools.common.ui.preferences
Interface IDataServerLaunchPreferenceSection

All Superinterfaces:
  IDataServerPreferenceSection

public interface IDataServerLaunchPreferenceSection
extends IDataServerPreferenceSection

This interface should be implemented for preference UI components that can be used both as global preference setting. and as launch configuration settings.

Author:
  Dafan Yang, Hui Cao

Field Summary
`static int` `LAUNCH_MODE`
`static int` `PREFERENCE_MODE`

Method Summary
`void` `launchConfigurationInitialize(ILaunchConfiguration configuration, IPreferenceStore store)` initialize this UI section with the specific configuration and preference store
`void` `saveConfiguration(ILaunchConfigurationWorkingCopy wc)` save the UI section's status to launch configuration
`void` `setMode(int mode)`

Methods inherited from interface org.eclipse.datatools.sqltools.common.ui.preferences.IDataServerPreferenceSection
`createSectionComposite, getSectionComposite, getStatus, loadDefaultPreference, loadFromPreferenceStore, saveToPreferenceStore`

Field Detail

### LAUNCH_MODE

    public static final int LAUNCH_MODE

See Also:
  Constant Field Values

### PREFERENCE_MODE

    public static final int PREFERENCE_MODE

See Also:
  Constant Field Values

Method Detail

### launchConfigurationInitialize

    public void launchConfigurationInitialize(ILaunchConfiguration configuration,
                                              IPreferenceStore store)

  initialize this UI section with the specific configuration and preference store

  Parameters:
    `configuration` -

### saveConfiguration

    public void saveConfiguration(ILaunchConfigurationWorkingCopy wc)

  save the UI section's status to launch configuration

  Parameters:
    `wc` -

### setMode

    public void setMode(int mode)

  Parameters:
    `mode` - indicates whether this component is used for launch configuration or preference page. Implementing classes should disable/enable specific controls that are only relevant to a particular mode.
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.